Checks terminal eligibility without changing the Task; the command repeats the check atomically.
POST
/api/workspace/tasks/runtime/tasks/{taskId}/completion-validation
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/tasks/example/completion-validation"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"OutcomeId\": \"example\", \"Reason\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/tasks/example/completion-validation';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","OutcomeId":"example","Reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/tasks/runtime/tasks/example/completion-validation \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OutcomeId": "example", "Reason": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
RowVersion
string format: uuid
OutcomeId
string
Reason
string
Examplegenerated
{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OutcomeId": "example", "Reason": "example"}object
RowVersion
string format: uuid
OutcomeId
string
Reason
string
Examplegenerated
{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OutcomeId": "example", "Reason": "example"}object
RowVersion
string format: uuid
OutcomeId
string
Reason
string
Examplegenerated
{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OutcomeId": "example", "Reason": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
RowVersion
string format: uuid
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}